Package org.bedework.synch.wsmessages

# Class StartServiceNotificationType

java.lang.Object
org.bedework.synch.wsmessages.StartServiceNotificationType

public class StartServiceNotificationType extends Object
(Re)initialize the service subscribe-url: callback url for notifications and subscribe requests id and (encrypted) password - may be required by prior arrangement

Java class for StartServiceNotificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StartServiceNotificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="connectorId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="subscribeUrl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="pw" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `connectorId`
  `protected String`
  `id`
  `protected String`
  `pw`
  `protected String`
  `subscribeUrl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartServiceNotificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConnectorId()`
  Gets the value of the connectorId property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getPw()`
  Gets the value of the pw property.
  `String`
  `getSubscribeUrl()`
  Gets the value of the subscribeUrl property.
  `void`
  `setConnectorId(String value)`
  Sets the value of the connectorId property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setPw(String value)`
  Sets the value of the pw property.
  `void`
  `setSubscribeUrl(String value)`
  Sets the value of the subscribeUrl property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connectorId

    protected String connectorId

  - ### subscribeUrl

    protected String subscribeUrl

  - ### id

    protected String id

  - ### pw

    protected String pw

- ## Constructor Details

  - ### StartServiceNotificationType

    public StartServiceNotificationType()

- ## Method Details

  - ### getConnectorId

    public String getConnectorId()
    Gets the value of the connectorId property.
    Returns:
      possible object is `String`

  - ### setConnectorId

    public void setConnectorId(String value)
    Sets the value of the connectorId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubscribeUrl

    public String getSubscribeUrl()
    Gets the value of the subscribeUrl property.
    Returns:
      possible object is `String`

  - ### setSubscribeUrl

    public void setSubscribeUrl(String value)
    Sets the value of the subscribeUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPw

    public String getPw()
    Gets the value of the pw property.
    Returns:
      possible object is `String`

  - ### setPw

    public void setPw(String value)
    Sets the value of the pw property.
    Parameters:
      `value` - allowed object is `String`